Servoy 2022.12 release candidate 3

Release notes for Servoy betas

Servoy 2022.12 release candidate 3

Postby jcompagner » Fri Dec 23, 2022 5:35 pm

We are pleased to announce the availability of Servoy 2022.12 release candidate 3 (release number 3822)

Now that boostrapcomponents 2022.12 is also released, the developer has now support for variants for the label and the button from the boostrapcomponents
see the whats new for a bit more info

See whats new for the global changes

See the issues list for a complete overview of all the cases including the list that are fixed for these RC's

For Windows the installer: exe
and for the MacOSX_86_64 we have an native dmg
and for the MacOSX_Aarch64 (M1) we have an native m1 dmg
for linux it is tar.gz

For windows we also still have just the zip

An installation (coming from the normal installer or from a platform specific archive) is shipping with with a Java VM (Java 17.0.5)

So for the platform specific archives you don't need to install or have java on your system.

The developer can be updated by the https://download.servoy.com/developer/l ... ecandidate update site url.
This is in our "latest" release stream (03,06,09,12) if you want to stick the LTS release then disable that releasecandidate url and stick to the urls with "lts" in the name
If you update to this release you have to do a new install of 2022.03.2_lts to go back to an the LTS release branch

it could be that the update fails if you come from a much older release (like 2021.06 -> 2022.12) that you can get errors like:

Code: Select all
An error occurred while collecting items to be installed
session context was:(profile=DefaultProfile, phase=org.eclipse.equinox.internal.p2.engine.phases.Collect, operand=, action=).
Problems downloading artifact: osgi.bundle,com.servoy.eclipse.core,2022.12.0.3822_rc.
Error reading signed content:C:\Users\jcomp\AppData\Local\Temp\signatureFile11879913363204093521.jar


Or that you can't install it completely (you can't pass the update dialog, because it says incompatibilities found)
This is because 12 now depends on java 17. (so the developer that you run should already be on java 17)

You can fix both issues to first jump to an older version like a 2022.03.x release, you can do this by making this url:

https://download.servoy.com/developer/latest/3743/

first the only update site in the preferences -> install/update -> sites, so add that url and make sure that is the only one.

Then it updates to that release first, then you can enable the release_candidate url again.

Make sure you use all the latest webpackages that have at least the 2022.09.x version, most packages that had changes did do have a 2022.12 release now (bootstrap, bootstrapextra, servoy-extra, nggrid and a few more)

Older versions of the webpackages won't work in combination with Servoy 2022.09/12
Johan Compagner
Servoy
User avatar
jcompagner
 
Posts: 8833
Joined: Tue May 27, 2003 7:26 pm
Location: The Internet

Return to Latest Releases

Who is online

Users browsing this forum: No registered users and 8 guests